Package org.apache.sling.scripting.sightly.impl.compiler.optimization

## Class SequenceStreamTransformer

- java.lang.Object
- - org.apache.sling.scripting.sightly.impl.compiler.optimization.SequenceStreamTransformer

All Implemented Interfaces:
  `StreamTransformer`

    public class SequenceStreamTransformer
    extends Object
    implements StreamTransformer

Applies a list of transformations in sequence.

### Constructor Summary

Constructors
`SequenceStreamTransformer​(List<StreamTransformer> transformers)`

### Method Summary

All Methods Instance Methods Concrete Methods
`CommandStream` `transform​(CommandStream inStream)` Given the input stream, return a transformed out stream

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SequenceStreamTransformer

    public SequenceStreamTransformer​(List<StreamTransformer> transformers)

### Method Detail

#### transform

    public CommandStream transform​(CommandStream inStream)

Description copied from interface: `StreamTransformer`
Given the input stream, return a transformed out stream

Specified by:
  `transform` in interface `StreamTransformer`
Parameters:
  `inStream` - the input stream
Returns:
  the result stream